Subject: [OPSAWG] CALL FOR ADOPTION: draft-bgbw-opsawg-vpn-common

From: "Joe Clarke (jclarke)" <[email-masked]>
Date: Thu, 13 Aug 2020 12:49:10 +0000

Hello, WG members.  On the IETF 108 virtual meeting, Oscar presented the status of the L3NM, L2NM, and the VPN common work.  While this VPN common YANG module started as an individual document (per the chairs’ request), the L2NM and L3NM modules need to choose a direction for how to handle common typedefs and groupings between them.

On the virtual meeting we did a hum which indicated “Pianissimo” support.  Again, the hum system had some interesting rules, so this is not conclusive, but seems to favor that this common module work should exist as its own, standalone document that both L2NM and L3NM will consume.  In this manner, one would not need to import either L2NM or L3NM to make use of/extend these common attributes.

To that end, the chairs would like a call for adoption of draft-bgbw-opsawg-vpn-common.  Additionally, comments on the approach and the choice of common attributes are welcome, especially from those that were unable to attend the IETF 108 virtual meeting.

This serves as a two week call for adoption ending on August 27, 2020.

Thanks.

Joe

---

From: "Joe Clarke (jclarke)" <[email-masked]>
Date: Thu, 13 Aug 2020 12:56:15 +0000

> On Aug 13, 2020, at 08:49, Joe Clarke (jclarke) <jclarke=[email-masked]> wrote:
> 

Sorry, the hum was Forte (or strongest) for making this a standalone module that both L2NM and L3NM use.  Pianissimo (light) was making it part of L3NM.

Joe

---

From: SAMIER BARGUIL GIRALDO <[email-masked]>
Date: Fri, 14 Aug 2020 07:41:20 +0000

Hello WG,

I Support the adoption of this draft using the "Forte" approach.  It is necessary to decouple the modules in order to facilitate their future implementations.

Regards,

Samier Barguil
Transport & IP Networks | GCTIO - Technology | CIT Centro Integrado de Transporte |

Móvil +57 3017026430

Móvil +34 665416074

E-mail [email-masked]

E-mail [email-masked]

________________________________
De: OPSAWG <[email-masked]> en nombre de Joe Clarke (jclarke) <jclarke=[email-masked]>
Enviado: jueves, 13 de agosto de 2020 7:49
Para: opsawg <[email-masked]>
Asunto: [OPSAWG] CALL FOR ADOPTION: draft-bgbw-opsawg-vpn-common

Thanks.

Joe
_______________________________________________
OPSAWG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/opsawg

________________________________

Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede contener información privilegiada o confidencial y es para uso exclusivo de la persona o entidad de destino. Si no es usted. el destinatario indicado, queda notificado de que la lectura, utilización, divulgación y/o copia sin autorización puede estar prohibida en virtud de la legislación vigente. Si ha recibido este mensaje por error, le rogamos que nos lo comunique inmediatamente por esta misma vía y proceda a su destrucción.

The information contained in this transmission is privileged and confidential information intended only for the use of the individual or entity named above. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this transmission in error, do not read it. Please immediately reply to the sender that you have received this communication in error and then delete it.

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição

---

From: tom petch <[email-masked]>
Date: Fri, 14 Aug 2020 16:19:12 +0000

From: OPSAWG <[email-masked]> on behalf of SAMIER BARGUIL GIRALDO <[email-masked]>
Sent: 14 August 2020 08:41

Hello WG,

<tp>
M mmm I find the reason somewhat strange.  Creating a common module, that is imported into several others, binds those others together and so couples them, not decouples.  If you want to decouple, then each of those several modules would have its own e.g. vpn-services definitions.  The common module does have benefits, of consistent definitions where the objects are wanted in more than one module, decoupling is not one of them.

What you could say is that the designers of a module saw something that they wanted to use in another module and so imported that other module lock, stock and barrel when 90% of it was not wanted and created an unnecessarily complicated combination, but that is really a comment on the inadequacies of YANG, of the inability to import only the bits you wanted, something that SMI did not suffer from:-)

Tom Petch

Regards,

Samier Barguil

Móvil +57 3017026430

Móvil +34 665416074

Thanks.

Joe

---

From: SAMIER BARGUIL GIRALDO <[email-masked]>
Date: Mon, 17 Aug 2020 07:52:50 +0000

Hello, Tom/ WG just to clarify.

I was referring to "facilitate" the implementations mainly because of the high number of dependencies that now exits between the service and network models. A common module would allow to independently implement one model or the other, avoiding undesired cross-references.

In the current Service models RFCs, remarkable service-related definitions are written twice (in one model and the other), thus, a module containing these definitions would avoid the information duplication.

Regards,

Samier Barguil

Móvil +57 3017026430

Móvil +34 665416074

________________________________
De: tom petch <[email-masked]>
Enviado: viernes, 14 de agosto de 2020 11:19
Para: SAMIER BARGUIL GIRALDO <[email-masked]>; Joe Clarke (jclarke) <jclarke=[email-masked]>; opsawg <[email-masked]>
Asunto: Re: CALL FOR ADOPTION: draft-bgbw-opsawg-vpn-common

Hello WG,

<tp>

Tom Petch

Regards,

Samier Barguil

Móvil +57 3017026430

Móvil +34 665416074

Thanks.

Joe

---

From: Italo Busi <[email-masked]>
Date: Mon, 24 Aug 2020 09:56:52 +0000

I support the adoption of this draft as WG document

I think the scope of the draft/model can also be extended to be applicable to any service-type module and not being limited to only L2VPN and L3VPN. For example we can call it svc-common rather than vpn-common.

Regarding the approach, my preference is to include in the common module all the types/groupings which are common.

In order not to delay the progress of L3NM, it is possible to follow the same approach that has been followed in CCAMP WG with layer0-types: once L3NM is ready for WG LC, it is possible to move forward for WG LC only the common types/groupings which are needed by L3NM (as first revision of the common YANG module) and to move the types/groupings needed by other on-going work (e.g., L2NM) into a new draft which is intended to become a second revision of the common YANG module.

My 2 cents

Italo

> -----Original Message-----
> From: Joe Clarke (jclarke) [mailto:[email-masked]]
> Sent: giovedì 13 agosto 2020 14:49
> To: opsawg <[email-masked]>
> Subject: [OPSAWG] CALL FOR ADOPTION: draft-bgbw-opsawg-vpn-common
> 
> Hello, WG members.  On the IETF 108 virtual meeting, Oscar presented the
> status of the L3NM, L2NM, and the VPN common work.  While this VPN
> common YANG module started as an individual document (per the chairs’
> request), the L2NM and L3NM modules need to choose a direction for how to
> handle common typedefs and groupings between them.
> 
> On the virtual meeting we did a hum which indicated “Pianissimo” support.
> Again, the hum system had some interesting rules, so this is not conclusive,
> but seems to favor that this common module work should exist as its own,
> standalone document that both L2NM and L3NM will consume.  In this
> manner, one would not need to import either L2NM or L3NM to make use
> of/extend these common attributes.
> 
> To that end, the chairs would like a call for adoption of draft-bgbw-opsawg-
> vpn-common.  Additionally, comments on the approach and the choice of
> common attributes are welcome, especially from those that were unable to
> attend the IETF 108 virtual meeting.
>

---

From: tom petch <[email-masked]>
Date: Mon, 24 Aug 2020 11:36:43 +0000

From: OPSAWG <[email-masked]> on behalf of Italo Busi <[email-masked]>
Sent: 24 August 2020 10:56

<tp>
Italo

A point to be aware of is that there are rules about what you can and cannot do when revising a YANG module.  RFC7950 s.11 has a long list thereof of which those relating to enum and type have come up in the past.  If you want to do something that is not permitted, then you have to change the module name, which would seem to defeat the purpose of this particular exercise so it is important to get it right first time..

Tom Petch

My 2 cents

Italo

---

From: Dhruv Dhody <[email-masked]>
Date: Wed, 26 Aug 2020 20:17:55 +0530

Hi WG,

I support adoption. Just a few thoughts...

- This document has "Updates: 8782" in its header. Surely a mistake!
- This text

   To avoid the issues discussed above, this document defines a common
   YANG module that is meant to be reused by various VPN-related modules
   such as Layer 3 VPN Service Model (L3SM) [RFC8299], Layer 2 VPN
   Service Model (L2SM) [RFC8466], Layer 3 VPN Network Model (L3NM)
   [I-D.ietf-opsawg-l3sm-l3nm], and Layer 2 VPN Network Model (L2NM)
   [I-D.ietf-opsawg-l2nm]: "ietf-vpn-common" (Section 4).

While it is clear how this common model can be used by
work-in-progress L3NM and L2NM models, I am not sure about the
published service model. Maybe you want to suggest that a future
update of these service models MAY use this common model? If yes,
better to be explicit.

- I was hoping to find L3NM and L2NM models using this common model
either in the draft or Github. Maybe the plan to update only after
successful adoption by the WG?

Thanks!
Dhruv

---

From: Oscar González de Dios <[email-masked]>
Date: Wed, 26 Aug 2020 15:40:54 +0000

Hi WG,

     I support the adoption of draft-bgbw-opsawg-vpn-common as WG document.

     I believe it is a good base to start the working group work on the common components for vpn services. Having common definitions that apply for different vpn services regardless the actual service not only helps implementations but also makes more homogeneous the definitions of these generic components of a network service, which if kept separate is more complex to keep aligned.

Some comments bellow to answer Italo's thoughts:

    Italo mentioned the possibility of expanding the scope to consider not only L2 and L3 BGP based VPNs, but also other services. My only concern here is that this common module is key to the progress of L2 and L3 VPN, so I would not want to block the progress of those, hence the "limit" in the scope. In any case, the complete scope can be discussed in the WG. if the approach proposed by Italo of steps in which several incremental versions can be released is feasible, then the scope could be extended.

     Some comments bellow to answer Dhruv thoughts:

- This document has "Updates: 8782" in its header. Surely a mistake!
Oscar>> Of course :-) Editorial mistake, to be corrected asap.
- This text

While it is clear how this common model can be used by work-in-progress L3NM and L2NM models, I am not sure about the published service model. Maybe you want to suggest that a future update of these service models MAY use this common model? If yes, better to be explicit.

Oscar>> The common model can also be used with the already published L3SM and L2SM models. Should the IETF community decide to proceed that way, an updated version could be produced importing from the common module. However, in the short term the focus is on the published drafts.
- I was hoping to find L3NM and L2NM models using this common model either in the draft or Github. Maybe the plan to update only after successful adoption by the WG?

Oscar>> Once the WG has made the decision of the path to take, we will modify the draft accordingly. The version in github is to facilitate people seeing how the L3NM module would look like with the common module proposal.

Thanks!
Dhruv

Oscar>> Thanks for the comments!

---

From: Dhruv Dhody <[email-masked]>
Date: Thu, 27 Aug 2020 10:26:17 +0530

Hi Oscar,

> Oscar>> The common model can also be used with the already published L3SM and L2SM models. Should the IETF community decide to proceed that way, an updated version could be produced importing from…

[Dhruv]: My suggestion is to update the quoted text to differentiate
between the LxNM and LxSM models. Once the LxNM models are updated to
use the common model, we can clearly state that fact and then include
a statement that a future update to LxSM models MAY choose to reuse
the common model as well.

> Oscar>> Once the WG has made the decision of the path to take, we will modify the draft accordingly. The version in github is to facilitate people seeing how the L3NM module would look like with th…

I was looking at the wrong place. I found it now -
https://github.com/IETF-OPSAWG-WG/l3nm/blob/master/yang/IETF-04/ietf-l3vpn-ntw.yang

Thanks!
Dhruv

---

From: <[email-masked]>
Date: Thu, 27 Aug 2020 05:56:58 +0000

Hi Joe, all,

I support the adoption of this draft. 

Cheers,
Med

> -----Message d'origine-----
> De : OPSAWG [mailto:[email-masked]] De la part de Joe Clarke
> (jclarke)
> Envoyé : jeudi 13 août 2020 14:49
> À : opsawg <[email-masked]>
> Objet : [OPSAWG] CALL FOR ADOPTION: draft-bgbw-opsawg-vpn-common
> 
> Hello, WG members.  On the IETF 108 virtual meeting, Oscar presented
> the status of the L3NM, L2NM, and the VPN common work.  While this VPN
> request), the L2NM and L3NM modules need to choose a direction for how
> to handle common typedefs and groupings between them.
> 
> On the virtual meeting we did a hum which indicated “Pianissimo”
> support.  Again, the hum system had some interesting rules, so this is
> not conclusive, but seems to favor that this common module work should
> exist as its own, standalone document that both L2NM and L3NM will
> consume.  In this manner, one would not need to import either L2NM or
> L3NM to make use of/extend these common attributes.
> 
> To that end, the chairs would like a call for adoption of draft-bgbw-
> opsawg-vpn-common.  Additionally, comments on the approach and the
> choice of common attributes are welcome, especially from those that
> were unable to attend the IETF 108 virtual meeting.
> 

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 29 Aug 2020 22:17:25 +0100

Thanks Joe,

I was one of the hummers for a common module in its own separate document. It makes for an extra RFC (sad face) but makes it a lot clearer to people when they are importing the module that they don't have to implement other stuff that just happens to find itself in the same document. 

In view of that, I'd like to thank the authors for preparing a starting point, and I'd like the WG to adopt it so that we can quickly polish it, check that both L2NM and L3NM can use it correctly, and move everything forward in the various implementations that are being worked on.

Best,
Adrian

-----Original Message-----
From: OPSAWG <[email-masked]> On Behalf Of Joe Clarke (jclarke)
Sent: 13 August 2020 13:49
To: opsawg <[email-masked]>
Subject: [OPSAWG] CALL FOR ADOPTION: draft-bgbw-opsawg-vpn-common

Thanks.

Joe